| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::gateway Struct Reference

Represents the various information from the 'get gateway bot' api call. More...

`#include <restresults.h>`

Inheritance diagram for dpp::gateway:
[legend]
Collaboration diagram for dpp::gateway:
[legend]

## Public Member Functions

| gateway ()
| Construct a new gateway object.
| gateway (nlohmann::json *j)
| Construct a new gateway object.
std::string | build_json (bool with_id=false) const
| Convert object to json string.
gateway & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

uint32_t | session_start_max_concurrency
| How many sessions can be started at the same time.
uint32_t | session_start_remaining
| How many sessions are left.
uint32_t | session_start_reset_after
| How many seconds until the session start quota resets.
uint32_t | session_start_total
| Total number of sessions that can be started.
uint32_t | shards
| Number of suggested shards to start.
std::string | url
| Gateway websocket url.

## Protected Member Functions

gateway & | fill_from_json_impl (nlohmann::json *j)
| Fill this object from json.

## Friends

struct | json_interface< gateway >

## Detailed Description

Represents the various information from the 'get gateway bot' api call.

## Constructor & Destructor Documentation

## ◆ gateway() [1/2]

dpp::gateway::gateway | ( | nlohmann::json * | j | ) |

Construct a new gateway object.

Parameters

  j | JSON data to construct from

## ◆ gateway() [2/2]

dpp::gateway::gateway | ( |  | ) |

Construct a new gateway object.

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< gateway >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

gateway & dpp::json_interface< gateway >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

gateway & dpp::gateway::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Fill this object from json.

Parameters

  j | json to fill from

Returns
  gateway& reference to self

## ◆ to_json()

auto dpp::json_interface< gateway >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## Friends And Related Symbol Documentation

## ◆ json_interface< gateway >

friend struct json_interface< gateway >

friend

## Member Data Documentation

## ◆ session_start_max_concurrency

uint32_t dpp::gateway::session_start_max_concurrency

How many sessions can be started at the same time.

## ◆ session_start_remaining

uint32_t dpp::gateway::session_start_remaining

How many sessions are left.

## ◆ session_start_reset_after

uint32_t dpp::gateway::session_start_reset_after

How many seconds until the session start quota resets.

## ◆ session_start_total

uint32_t dpp::gateway::session_start_total

Total number of sessions that can be started.

## ◆ shards

uint32_t dpp::gateway::shards

Number of suggested shards to start.

## ◆ url

std::string dpp::gateway::url

Gateway websocket url.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0